Aerial imagery display error: libjpeg: Bogus DQT index

2016-08-18 07:22 AM - Ian Holmes

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.16.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23386

Description

I have have a national aerial imagery dataset but some of the tiles will not display in QGIS and give the following error message:

Invalid Layer: GDAL provider Cannot open GDAL dataset C:/Data/aerial_imagery/nt/nt2064.jpg: libjpeg: Bogus DQT index 5

Raster layer Provider is not valid (provider: gdal, URI: C:/Data/aerial_imagery/nt/nt2064.jpg

The above image file can be downloaded from https://www.dropbox.com/s/g6f32d4tgcthc6a/nt2064.zip?dl=0

The same image file displays fine in ArcGIS, MapInfo and in a range of image applications including GIMP, MS Paint and Paint Shop

Pro.

I've tried to view this image in multiple versions of QGIS including 2.16.1 (the current latest version) and 2.14.5 (the current LTR) and

unfortunately the behaviour is the same in all versions of QGIS.

The error message displayed in QGIS suggests a problem with the source JPEG file, but given it works in every other package I've tried it

appears that QGIS is being more rigorous in the code it's using to display JPEG's than everything else.

Using GDAL to do a JPEG to JPEG conversion resolves the problem but given we can't easily identify the affected files we'd have to

process them all, which isn't practical given the number of files we have.

Possibly related to Issues #15446 and #15447

Related issues:

Duplicated by QGIS Application - Bug report # 15446: Aerial imagery display e... Closed 2016-08-17

History

#1 - 2016-08-18 12:38 PM - Bernd Vogelgesang

Just want to say, that the image available from the dropbox loads without any problems in 2.16.1 on Linux Mint. Just don't know the projection so it just

pops up somewhere in the Atlatic Ocean for me.

QGIS version

2.16.1-Nødebo

QGIS code revision

8545b3b

Compiled against Qt

4.8.6

Running against Qt

4.8.6
https://www.dropbox.com/s/g6f32d4tgcthc6a/nt2064.zip?dl=0


Compiled against GDAL/OGR

2.1.0

Running against GDAL/OGR

2.1.0

Compiled against GEOS

3.5.0-CAPI-1.9.0

Running against GEOS

3.5.0-CAPI-1.9.0 r4084

PostgreSQL Client Version

9.3.4

SpatiaLite Version

4.1.1

QWT Version

5.2.3

PROJ.4 Version

480

QScintilla2 Version

2.8.1

#2 - 2016-08-19 12:46 AM - Ian Holmes

Thanks for the info Bernd (the projection is British National Grid, EPSG 27700).  If you've got time, would you mind trying the images associated with

Issues #15446 and #15447 too as they're all from the same source and all have display issues in QGIS?

#3 - 2016-08-23 07:19 AM - Ian Holmes

Bit more info on this problem: it looks like this is only a problem on Windows as the image loads fine using QGIS on a Mac and on Linux.

#4 - 2016-08-29 11:30 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #15446
